#include <stdio.h>
#include <stdlib.h>

extern "C"	//euclid
int __stdcall euclid(int, int);

extern "C"	//usage
void usage(char*);

extern "C"	//fooBar
void __stdcall fooBar();

extern "C"	//main
int main(int argc, char* argv[])
{
  int i, j;
  printf("Arg count=%d\n", argc);
  printf("Argv 0=%s\n", argv[0]);
  printf("Argv 1=%s\n", argv[1]);
  printf("Argv 2=%s\n", argv[2]);
  printf("Argv 3=%s\n", argv[3]);
  if (argc<3)
    usage(argv[0]);

  i = atoi(argv[1]);
  printf("i=%d\n", i);
  j = atoi(argv[2]);
  printf("j=%d\n", j);

  if (!(i>0) || !(j>0)) {
    printf("%s %d %d\n", argv[0], i, j);
    usage(argv[0]);
  }

  printf("The greatest common divisor of %d and %d: %d\n", i, j, euclid(i, j));
  return 0;
}

void usage(char* str)
{
    printf("usage: %s num1 num2\n", str);
    printf("  for non-zero, positive num1 and num2\n");
    exit(1);
}

void __stdcall  fooBar()
{
   printf("Foo Bar \n");
}
