include \masm32\include\masm32rt.inc

euclid	PROTO: SDWORD, :SDWORD		; this one exports euclid to C
main	PROTO C: DWORD, :VARARG		; this one imports main from C

ImportC MACRO icName, icArgs:=<0>, icEcho:=<0>
LOCAL icTd$, icDeco$
  ifndef icNum
	icNum=0	;; start numbering
  endif
  icNum=icNum+1
  icDeco$ CATSTR <_>, <icName>, <@>, %(icArgs*4)
  @CatStr(icDeco$, < PROTO SYSCALL>)
  if icEcho
	% echo @CatStr(icDeco$, < PROTO SYSCALL>)
  endif
  icTd$ CATSTR <icCall>, %icNum, < TYPEDEF PROTO >
  if icArgs
	icTd$ CATSTR icTd$, <:DWORD>
	REPEAT icArgs-1
		icTd$ CATSTR icTd$, <,:DWORD>
	ENDM
  endif
  icTd$
  icName CATSTR <icCall>, %icNum, < PTR >, icDeco$
  if icEcho
	% echo icTd$
	% echo icName
  endif
ENDM

ImportC fooBar, 0, 1	; zero args, 1=show what it's doing
ImportC usage, 1, 1	; one arg, blank=don't show

.code
start:
	call fooBar	; just for fun
;	invoke usage, chr$("MyString")	; useless here but would work fine
	print "Now invoking main:", 13, 10, 10
	mov ebx, esp
	if 1
		invoke main, 3, esp, chr$("My text"), chr$("11"), chr$("22"), chr$("This one not used, can be commented out")
	elseif 1		; same but more explicit
		push chr$("One more arg")
		push chr$("200")
		push chr$("100")
		push chr$("My text")
		push esp
		push 3
		call main
		add esp, 24
	elseif 0	; no good, GPF
		invoke main, 3, chr$("The text"), chr$("1000"), chr$("2000"), chr$("3000")
	endif
	sub ebx, esp
	inkey str$(ebx), " stack difference"
	exit

euclid PROC STDCALL x:SDWORD, y:SDWORD
  mov ecx, x
  mov eax, y
@@:
  cmp ecx, eax
  jge noswap
  xchg eax, ecx
noswap:
  sub ecx, eax
  jnz @B
; return value already in eax
;;;;;;;;;;;;;;;;;; MY INSERT
if 0
	push eax
	push chr$("Hello Skippy", 13, 10)
	call crt_printf
	call fooBar
	pop ecx
	pop eax
endif
;;;;;;;;;;;;;;;;;;
  RET
euclid ENDP

end start

RichMasm options:
extra option for linker:
OPT_DebugL	fooBar.obj
OPT_Linker	polink	; link will choke
OPT_Assembler	ml	; Jwasm will choke
OPT_Wait	0
OPT_DelTmp	0
OPT_Tmp2Asm	1
OPT_Res	0
OPT_ErrLine	0
OPT_Susy	Console

extra commandline before assembly:
OPT_BatA	"%ProgramFiles%\Microsoft Visual Studio 9.0\VC\bin\cl.exe" /c /Oty2 /Zl /Gs /GS- /FoFooBar.obj /Fa FooBar.cpp
------------------------------ the C code, to be saved as FooBar.cpp --------------------------------
#include <stdio.h>
#include <stdlib.h>

extern "C"	//euclid
int __stdcall euclid(int, int);

extern "C"	//usage
void usage(char*);

extern "C"	//fooBar
void __stdcall fooBar();

extern "C"	//main
int main(int argc, char* argv[])
{
  int i, j;
  printf("Arg count=%d\n", argc);
  printf("Argv 0=%s\n", argv[0]);
  printf("Argv 1=%s\n", argv[1]);
  printf("Argv 2=%s\n", argv[2]);
  printf("Argv 3=%s\n", argv[3]);
  if (argc<3)
    usage(argv[0]);

  i = atoi(argv[1]);
  printf("i=%d\n", i);
  j = atoi(argv[2]);
  printf("j=%d\n", j);

  if (!(i>0) || !(j>0)) {
    printf("%s %d %d\n", argv[0], i, j);
    usage(argv[0]);
  }

  printf("The greatest common divisor of %d and %d: %d\n", i, j, euclid(i, j));
  return 0;
}

void usage(char* str)
{
    printf("usage: %s num1 num2\n", str);
    printf("  for non-zero, positive num1 and num2\n");
    exit(1);
}

void __stdcall  fooBar()
{
   printf("Foo Bar \n");
}
